subprojects {
    apply plugin: "java-library"
    apply plugin: "idea"
    apply plugin: "eclipse"
    apply plugin: "maven-publish"


    [compileJava, compileTestJava, javadoc]*.options*.encoding = "UTF-8"

    configurations {
        all*.exclude module: "spring-boot-starter-tomcat"
        all*.exclude module: "spring-boot-starter-logging"
    }

    dependencies {
        compileOnly("org.projectlombok:lombok:$lombokVersion")
        annotationProcessor("org.projectlombok:lombok:$lombokVersion")
    }

    repositories {
        mavenLocal()
        maven {
            allowInsecureProtocol = true
            url "http://maven.aliyun.com/nexus/content/groups/public/"
        }
        mavenCentral()
    }

}

